## Gymrooster PHP edition 9000
Rooster voor Het Heerenlanden waar leraren leerlingen kunnen laten weten waar de gymles wordt gegeven.

Om het zelf te testen, gebruik de volgende commando's:
```bash
git clone https://gitea.arnweb.nl/Hecc-inc./gymrooster_php.git
cd gymrooster_php
```

Je hebt een apache2 web server nodig met php >= 7.3. Verder heb je ook een mariadb server nodig en php_mysqli.

Verder moet je ook zelf het bestand `php/conn.php` aanmaken. De inhoud moet eruit zien als:
```php
<?php
$servername = "localhost";
$username = "username";
$password = "password";
$database = "Als je de sql code kopiëert, dan gymrooster";

// Create connection
$conn = new mysqli($servername, $username, $password, $database);

// Check connection
if ($conn->connect_error) {
  die("Connection failed: " . $conn->connect_error);
} 
```

In de mariadb database moet er een database zijn met twee tabellen 'rooster' en 'docenten'. De code voor een voorbeeld is:
```sql
CREATE DATABASE gymrooster;
USE gymrooster;
CREATE TABLE docenten (id INT NOT NULL AUTO_INCREMENT PRIMARY KEY, username TEXT NOT NULL, password TEXT NOT NULL, naam TEXT NOT NULL);
CREATE TABLE rooster (id INT NOT NULL AUTO_INCREMENT PRIMARY KEY, dag DATE NOT NULL, docent INT NOT NULL, opmerking TEXT NOT NULL, locatie INT NOT NULL);
INSERT INTO docenten (username, password, naam) VALUES ('test', 'test', 'test user');
INSERT INTO rooster (dag, docent, opmerking, locatie) VALUES (DATE('2020-03-09'), 1, 'Dit is een opmerking', 2);
```